<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('sales_return_details', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('sales_return_master_id');
            $table->string('product_id');
            $table->string('attribute_id');
            $table->string('sales_quantity')->nullable();
            $table->string('return_qty');
            $table->string('sales_price');
            $table->string('return_price');
            $table->string('invoice_type')->nullable();
            $table->string('total');
            $table->timestamps();
            $table->foreign('sales_return_master_id')->references('id')->on('sales_return_masters')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('sales_return_details');
    }
};
